%%
%% Supervisor procesu pro databazi prenesenych cisel
%% soubor: npdb_mob_sup.erl
%%
-module(npdb_mob_sup).
-behaviour(supervisor).

-export([start_link/1, 	init/1]).

% zkrata pro start supervisoru
start_link (SupArgs) ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, SupArgs).

% callback definujici co ma supervisor delat
init (SupArgs) ->

    % dekodovani SupArgs
    % zde se predpoklada, ze se jedna o list s jednim prvkem,
    % kterym je nazev souboru
    [FileName] = SupArgs,

    % specifikace procesu 
    MobileDb = {
        npdb_mob, {npdb_mob, start_link, [FileName]},
        permanent, 2000, worker, [npdb_mob]
    },

    % restartovaci strategie (n-tice) a za ni
    % nasleduje seznam specifikaci dohlizenych procesu
    {ok, {{one_for_one, 1000, 1}, [MobileDb]}}.
